org.apache.tamaya.management

## Class ConfigManagementSupport

- java.lang.Object
- - org.apache.tamaya.management.ConfigManagementSupport

-     public class ConfigManagementSupport
      extends Object

  Accessor singleton for the JMX configuration support module.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectName` | `registerMBean()` Registers a new instance of `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
    `static ObjectName` | `registerMBean(String context)` Registers the `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
    `static ObjectName` | `unregisterMBean()` Unregisters a new instance of `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
    `static ObjectName` | `unregisterMBean(String context)` Unegisters the `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerMBean

          public static ObjectName registerMBean()

      Registers a new instance of `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
      Returns:
        the registered ObjectName, or null, if no bean could be created.

    - #### registerMBean

          public static ObjectName registerMBean(String context)

      Registers the `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
      Parameters:
        `context` - An optional context parameter to be added to the object name.
      Returns:
        the registered ObjectName, or null, if no bean could be created.

    - #### unregisterMBean

          public static ObjectName unregisterMBean()

      Unregisters a new instance of `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
      Returns:
        the unregistered ObjectName, or null, if no bean could be found.

    - #### unregisterMBean

          public static ObjectName unregisterMBean(String context)

      Unegisters the `ManagedConfigMBean` mbean for accessing config documentation into the local platform mbean server.
      Parameters:
        `context` - An optional context parameter to be added to the object name.
      Returns:
        the unregistered ObjectName, or null, if no bean could be created.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.